<bugID>1398416<Summary>Add ability to recall previous search terms and history to Address Bar</Summary><Description>Since Search Bar is removed by default in Nightly57.0a1

When I search a term from Address Bar, the term is gone from the address bar (i.e. it is usually encoded. And various meaningless information is added).

If you want to modify the entered term, you must re-enter everything.
This is a great waste of time.

And the address bar also lacks a function to recall the history of search terms entered in the past

Steps To Reproduce:
1. Search something from address bar.
2. Attempt to correct the term and search again

Actual Results:
It is difficult. You must re-enter everything in address bar.

Expected Results:
It needs UI to recall the previous search term in the address bar.
And also it needs to recall the history of search terms entered in the past</Description></bugID>